org.apache.jmeter.gui.util

## Class PowerTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - javax.swing.table.DefaultTableModel
    - - org.apache.jmeter.gui.util.PowerTableModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.table.TableModel

      public class PowerTableModel
      extends javax.swing.table.DefaultTableModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.DefaultTableModel

      `columnIdentifiers, dataVector`

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerTableModel()`
    `PowerTableModel(java.lang.String[] headers, java.lang.Class<?>[] classes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNewColumn(java.lang.String colName, java.lang.Class<?> colClass)`
    `void` | `addNewRow()`
    `void` | `addRow(java.lang.Object[] data)`
    `void` | `clearData()`
    `java.lang.Class<?>` | `getColumnClass(int column)`
    `int` | `getColumnCount()` Required by table model interface.
    `java.util.List<?>` | `getColumnData(java.lang.String colName)`
    `java.lang.String` | `getColumnName(int column)` Required by table model interface.
    `Data` | `getData()`
    `int` | `getRowCount()` Required by table model interface.
    `java.lang.Object[]` | `getRowData(int row)`
    `java.lang.Object` | `getValueAt(int row, int column)` Required by table model interface. return the ValueAt value
    `boolean` | `isCellEditable(int row, int column)`
    `void` | `moveRow(int start, int end, int to)`
    `void` | `removeColumn(int col)`
    `void` | `removeRow(int row)`
    `void` | `setColumnData(int col, java.util.List<?> data)`
    `void` | `setRowValues(int row, java.lang.Object[] values)`
    `void` | `setValueAt(java.lang.Object value, int row, int column)` Sets the ValueAt attribute of the Arguments object.

    - ### Methods inherited from class javax.swing.table.DefaultTableModel

      `addColumn, addColumn, addColumn, addRow, convertToVector, convertToVector, getDataVector, insertRow, insertRow, newDataAvailable, newRowsAdded, rowsRemoved, setColumnCount, setColumnIdentifiers, setColumnIdentifiers, setDataVector, setDataVector, setNumRows, setRowCount`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerTableModel

          public PowerTableModel(java.lang.String[] headers,
                                 java.lang.Class<?>[] classes)

    - #### PowerTableModel

          public PowerTableModel()

  - ### Method Detail

    - #### setRowValues

          public void setRowValues(int row,
                                   java.lang.Object[] values)

    - #### getData

          public Data getData()

    - #### addNewColumn

          public void addNewColumn(java.lang.String colName,
                                   java.lang.Class<?> colClass)

    - #### removeRow

          public void removeRow(int row)

      Overrides:
        `removeRow` in class `javax.swing.table.DefaultTableModel`

    - #### removeColumn

          public void removeColumn(int col)

    - #### setColumnData

          public void setColumnData(int col,
                                    java.util.List<?> data)

    - #### getColumnData

          public java.util.List<?> getColumnData(java.lang.String colName)

    - #### clearData

          public void clearData()

    - #### addRow

          public void addRow(java.lang.Object[] data)

      Overrides:
        `addRow` in class `javax.swing.table.DefaultTableModel`

    - #### moveRow

          public void moveRow(int start,
                              int end,
                              int to)

      Overrides:
        `moveRow` in class `javax.swing.table.DefaultTableModel`

    - #### addNewRow

          public void addNewRow()

    - #### getRowData

          public java.lang.Object[] getRowData(int row)

    - #### getRowCount

          public int getRowCount()

      Required by table model interface.
      Specified by:
        `getRowCount` in interface `javax.swing.table.TableModel`
      Overrides:
        `getRowCount` in class `javax.swing.table.DefaultTableModel`
      Returns:
        the RowCount value

    - #### getColumnCount

          public int getColumnCount()

      Required by table model interface.
      Specified by:
        `getColumnCount` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnCount` in class `javax.swing.table.DefaultTableModel`
      Returns:
        the ColumnCount value

    - #### getColumnName

          public java.lang.String getColumnName(int column)

      Required by table model interface.
      Specified by:
        `getColumnName` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnName` in class `javax.swing.table.DefaultTableModel`
      Returns:
        the ColumnName value

    - #### isCellEditable

          public boolean isCellEditable(int row,
                                        int column)

      Specified by:
        `isCellEditable` in interface `javax.swing.table.TableModel`
      Overrides:
        `isCellEditable` in class `javax.swing.table.DefaultTableModel`

    - #### getColumnClass

          public java.lang.Class<?> getColumnClass(int column)

      Specified by:
        `getColumnClass` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnClass` in class `javax.swing.table.AbstractTableModel`

    - #### getValueAt

          public java.lang.Object getValueAt(int row,
                                             int column)

      Required by table model interface. return the ValueAt value
      Specified by:
        `getValueAt` in interface `javax.swing.table.TableModel`
      Overrides:
        `getValueAt` in class `javax.swing.table.DefaultTableModel`

    - #### setValueAt

          public void setValueAt(java.lang.Object value,
                                 int row,
                                 int column)

      Sets the ValueAt attribute of the Arguments object.
      Specified by:
        `setValueAt` in interface `javax.swing.table.TableModel`
      Overrides:
        `setValueAt` in class `javax.swing.table.DefaultTableModel`
      Parameters:
        `value` - the new ValueAt value

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.